@@ -26,8 +26,7 @@ before:
- "cat Gemfile.lock"
- contrib/cleanup.sh
after:
- - rails r 'Locale.fetch'
- - rails r 'Translation.fetch'
+ - contrib/after.sh
env:
- RAILS_ENV=production
- PORT=3000
@@ -0,0 +1,20 @@
+#!/bin/bash
+#
+# packager.io after script
+
+PATH=`pwd`/bin:`pwd`/vendor/bundle/bin:$PATH
+set -e
+# download locales and translations to make a offline installation possible
+gem install bundle
+bundle install
+rake db:migrate
+rake db:seed
+rails r 'Locale.fetch'
+rails r 'Translation.fetch'
+rm -rf tmp/cache*